<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\StudentClassModel;

class StudentClassModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(StudentClassModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(StudentClassModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(StudentClassModel::class);
    }
}
